aboutsummaryrefslogtreecommitdiffstats
path: root/main/lighttpd
diff options
context:
space:
mode:
authorValery Kartel <valery.kartel@gmail.com>2015-12-07 18:49:20 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2015-12-08 14:26:59 +0000
commit4ce667c78b8914d511474b336de17f2ca6e65fab (patch)
treece50a0f040faf130b1a8080067ee34d14e2c9ce8 /main/lighttpd
parentbedaab5b374d5c54a91e2ce7bf50b95e1dd09183 (diff)
downloadaports-4ce667c78b8914d511474b336de17f2ca6e65fab.tar.gz
aports-4ce667c78b8914d511474b336de17f2ca6e65fab.tar.bz2
aports-4ce667c78b8914d511474b336de17f2ca6e65fab.tar.xz
main/lighttpd: upgrade to 1.4.38. Minor cleanups in init and logrotate scripts (second release)
Diffstat (limited to 'main/lighttpd')
-rw-r--r--main/lighttpd/APKBUILD56
-rw-r--r--main/lighttpd/config_insert_values_global.patch11
-rw-r--r--main/lighttpd/lighttpd.conf2
-rw-r--r--main/lighttpd/lighttpd.confd2
-rw-r--r--main/lighttpd/lighttpd.initd5
-rw-r--r--main/lighttpd/lighttpd.logrotate4
-rw-r--r--main/lighttpd/mod_fastcgi.conf2
7 files changed, 48 insertions, 34 deletions
diff --git a/main/lighttpd/APKBUILD b/main/lighttpd/APKBUILD
index 923229a544..bfae5153ca 100644
--- a/main/lighttpd/APKBUILD
+++ b/main/lighttpd/APKBUILD
@@ -1,6 +1,7 @@
+# Contributor: Valery Kartel <valery.kartel@gmail.com>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=lighttpd
-pkgver=1.4.37
+pkgver=1.4.38
_streamver=2.2.0
pkgrel=0
pkgdesc="a secure, fast, compliant and very flexible web-server"
@@ -15,7 +16,7 @@ makedepends="flex pcre-dev openssl-dev zlib-dev bzip2-dev lua-dev
automake autoconf openldap-dev libxml2-dev sqlite-dev libev-dev"
source="http://download.lighttpd.net/lighttpd/releases-1.4.x/$pkgname-$pkgver.tar.xz
http://h264.code-shop.com/download/lighttpd-1.4.18_mod_h264_streaming-$_streamver.tar.gz
-
+ config_insert_values_global.patch
$pkgname.initd
$pkgname.confd
$pkgname.logrotate
@@ -30,17 +31,18 @@ subpackages="$pkgname-doc $pkgname-dbg $pkgname-mod_auth $pkgname-mod_h264_strea
prepare() {
cd "$srcdir"/$pkgname-$pkgver
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
# copy over the mod-h264-streaming mod
# http://h264.code-shop.com/trac/wiki/Mod-H264-Streaming-Lighttpd-Version2#DownloadLighttpd1.4.191.4.20andother1.4.x
cp "$srcdir"/lighttpd-1.4.18/src/moov.* src/
cp "$srcdir"/lighttpd-1.4.18/src/mod_h264_streaming.c src/
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+
cat >> src/Makefile.am <<__EOF__
lib_LTLIBRARIES += mod_h264_streaming.la
@@ -85,7 +87,6 @@ package() {
# create dirs
install -d -m755 -o lighttpd -g lighttpd \
- "$pkgdir"/var/run/lighttpd/ \
"$pkgdir"/var/log/lighttpd/ || return 1
install -d -m755 \
"$pkgdir"/etc/lighttpd/ \
@@ -131,33 +132,36 @@ mod_webdav() {
}
-md5sums="ca40168f54b46ee29475868ced8507d6 lighttpd-1.4.37.tar.xz
+md5sums="7adc12323f37ed24ecf026c7547b577d lighttpd-1.4.38.tar.xz
ac37885c881a058194405232e7737a7a lighttpd-1.4.18_mod_h264_streaming-2.2.0.tar.gz
-b3f7106fa5dcdadf3b0e1bb98bba5e3a lighttpd.initd
-0dede109282bfe685bdec6b35f0e4b6b lighttpd.confd
-ad091c9157134890499f26d170352c9f lighttpd.logrotate
-268bf5dd2c370ee5e119246775ac5640 lighttpd.conf
+6d983018d6c3119e06044b232587ec4b config_insert_values_global.patch
+454fcefb873a08b7556d77ade17387ef lighttpd.initd
+61a416bbbc504843142bdfe8077964e0 lighttpd.confd
+6846f00fff531bb3883904810264decf lighttpd.logrotate
+3bc7358a02ca684b0924ec7e21d56f06 lighttpd.conf
f3353baa4577703ec3a30c03482df986 mime-types.conf
9c1407e95f62ed22da66c4ef5f69c3b5 mod_cgi.conf
-f3363e39832f1b6678468b482d121afb mod_fastcgi.conf
+32bda92c408640c4c72123cbf1175172 mod_fastcgi.conf
aee5947a1abf380b0685a534ca384b42 mod_fastcgi_fpm.conf"
-sha256sums="804e6f60567ca1da2b3927f92b7e9332b93aca9560f282ca135b86b7558979bd lighttpd-1.4.37.tar.xz
+sha256sums="4912568b7befcf3f552ca4668bd7f38cd85f42a22944359d00816ec27eb1e504 lighttpd-1.4.38.tar.xz
732cf98d823f2c7ddc96a3130a3c88d588b02ed20a0e7f8c9be25a265fbea2d6 lighttpd-1.4.18_mod_h264_streaming-2.2.0.tar.gz
-097a4df1a6470e2e9fd2097c7c1daa7b1ee6341faddc35a65e975af019beaebd lighttpd.initd
-94f69a173dc26610a43532474230537b9bc31ec846fb9f94cb72765f125edf87 lighttpd.confd
-503ee1cd454e2c0f9a212ef60dc8321893eda06ccf721ecbe94d189a09e0bc6c lighttpd.logrotate
-7dad7aca511f77cb0a4562e5b3280772b56570bd778d35493494a6118e5841e4 lighttpd.conf
+23a341837199f043fc62a64478fa4a3f1064683db3f0ffd2ee184ce0f030daba config_insert_values_global.patch
+4ce8a56c47bffb6b7b03e88cfb7a2ceb1d396e8bc7502d0de66d81e732c861af lighttpd.initd
+80e03abc267b163f332718545b5ec3a21adef74ecd60098c4e4f7d7c88c21a76 lighttpd.confd
+0fff2602a2809662f7fcfe78be52bebc71338f545b26fd41e5c1d74e20486104 lighttpd.logrotate
+818b04cbd4fbb1a908466cb4c8d76c86376ee53114f46005399d6f1005d31690 lighttpd.conf
75a6fce072250ebccde2320996fdace0ebfeb525b03322f0b454f8f4e0e29a85 mime-types.conf
322656b4cfd22ca9f1f8ab160e0b932f1646622422fd49c6fc82ab416223eecf mod_cgi.conf
-d1adc1358b5d9e85353caa2e706bfa231d145dd59c075cdcb3f818b3cb5d722e mod_fastcgi.conf
+799e3b61cae677e71f95fa0483bd4cd35d9f28adf79ce680c687d2b476eb677d mod_fastcgi.conf
e7eb047360e09d1a2b693f08d4a912b99954090c5bdea706f46a33554e867043 mod_fastcgi_fpm.conf"
-sha512sums="60870149c78a44ae1cf29bd2ba8737ba18019178f9fd3868523255121d85cdc923c2315b572a2a0fcecc3d6451a501ad030189b78bfc7f25807a05b0300063b3 lighttpd-1.4.37.tar.xz
+sha512sums="48db53d7aa1cb8bba9224a97a62e65a33cd22c1d3f2cb08b57df7961e16b373b839678cdf898efbb707ba7bff966587977e7a5d925cfe67ca1531c2778f2326a lighttpd-1.4.38.tar.xz
12e1b7c8146cccfa78678ce56cd2f704423559b23b90996dff00602634f110512146386086ac234293a3c28900a06c2bec1c97e680e7eed5173372f88177b351 lighttpd-1.4.18_mod_h264_streaming-2.2.0.tar.gz
-69b7574a8d4384bcbbca587aa643aeb55c2b237e726093d1443982d8ec1d085b15c3891a273f7901a9554df4d0842a586d59cc6062b8347e72dad8c6c37bc39a lighttpd.initd
-93a05dddab14ba6355a0345f1da2fe900c8b55fed8f98506295dc12d96c7cef803c4aca77f016b8acea7bbde485be1e09a57d31fdca6f91023fbeb4db9a90a8b lighttpd.confd
-e1284fe9ab4b9a53c21b40a5ac3e77e66343e187321b8a2f7464db64747f3a99f7e17a9e7c0e298db84a24fa1286cfe344dbff182eddd9de5c0605f5397a6972 lighttpd.logrotate
-c945a9d5d8ab8404344e4a8a0018bf940071ff8ca9b611e686d328a26b50f25cecc72d3a0a2ff9f7ee9e91339692e8794ea46b3d6f1529c8d977ea226872d041 lighttpd.conf
+3d4c598f612dedccb64822f345a8748c96bf5c103d4d3bd153d0046669748475ecbf92d3d576d06f88d055a054345847cdb39826330db54452c9d4d71b6ebb98 config_insert_values_global.patch
+f2f3c5c7731550237fd75a8de66275f427eaf897cffff7ac7ef44178328ad8fad6c4ec6654759bfc665cbaf7991ddcdf0aaa916831c8b6aa440192d57b242038 lighttpd.initd
+9d2ab5deb7353ebf290e90936b511941df440859c78589d0bcf130ef69a5e9c79e4d318548b6b118df002083c46f7476230a28954b7a10a9dbd05040e02b1291 lighttpd.confd
+0536b4f21d2e8659f7831b45998c13d9f6051ae7ecde13be01f372f837d255bfc4e211de48a7686cc743d53aa9c08ab3f10ec19788896dcf8356b90053ca7a16 lighttpd.logrotate
+0aab94cb49ef5a96c1b5dbcf142b41acf49286ed6e2a252210f3f7fb6ee0639ebc5b8f4ddc89eb4b9a2bde38af07b8f008473aef2a460488ac806844f398350d lighttpd.conf
a3f2f5763885d7e4f510491b24164e34aaf62bb02daa12991575dc64335c12668355af5bb8d6ce191eb4e9cce95324b1f7c9ba61b323b4e7b50a1e03e021afcf mime-types.conf
27cc638d8068dcf47bd9db44943d1db6c6f4e8e6abd6b42af7cea004b1c093440068541d98c68f8bea70b956713adaf8ed59a4b642dea826ee8620a05f8cfde5 mod_cgi.conf
-1f7ca06b3501326f204bfa4de2694b1552fddfac5af52357a5cea5861c20204069adf6f92ea0c267968e5e2dc02804e34a61eb710026c213e3523a490254b3aa mod_fastcgi.conf
+1d15b84c03fb648a0e67ab5c5411b85478b4454c44bc2959cc96d1700eeadd7ff429520a5f1550db6527267646622dccd3d47d3fd1258869fccaf5c22d4ad4b2 mod_fastcgi.conf
f9efc4b70d825600f5356c30e57d0b6cac11c01739337f7192c09c2cfd96cb76c8328b11d818ea4c2addc1a6d253975b84700106ae75854d55d0df73e220bd2b mod_fastcgi_fpm.conf"
diff --git a/main/lighttpd/config_insert_values_global.patch b/main/lighttpd/config_insert_values_global.patch
new file mode 100644
index 0000000000..af9fc7778a
--- /dev/null
+++ b/main/lighttpd/config_insert_values_global.patch
@@ -0,0 +1,11 @@
+--- old/src/mod_h264_streaming.c
++++ new/src/mod_h264_streaming.c
+@@ -168,7 +168,7 @@
+
+ p->config_storage[i] = s;
+
+- if (0 != config_insert_values_global(srv, ((data_config *)srv->config_context->data[i])->value, cv)) {
++ if (0 != config_insert_values_global(srv, ((data_config *)srv->config_context->data[i])->value, cv, i == 0 ? T_CONFIG_SCOPE_SERVER : T_CONFIG_SCOPE_CONNECTION)) {
+ return HANDLER_ERROR;
+ }
+ }
diff --git a/main/lighttpd/lighttpd.conf b/main/lighttpd/lighttpd.conf
index 2cad7755aa..076f53875f 100644
--- a/main/lighttpd/lighttpd.conf
+++ b/main/lighttpd/lighttpd.conf
@@ -53,7 +53,7 @@ server.username = "lighttpd"
server.groupname = "lighttpd"
server.document-root = var.basedir + "/htdocs"
-server.pid-file = "/var/run/lighttpd.pid"
+server.pid-file = "/run/lighttpd.pid"
server.errorlog = var.logdir + "/error.log"
# log errors to syslog instead
diff --git a/main/lighttpd/lighttpd.confd b/main/lighttpd/lighttpd.confd
index 70d4170555..da524afb49 100644
--- a/main/lighttpd/lighttpd.confd
+++ b/main/lighttpd/lighttpd.confd
@@ -8,5 +8,5 @@
LIGHTTPD_CONF="/etc/lighttpd/lighttpd.conf"
# Location of the lighttpd pid file
-LIGHTTPD_PID="/var/run/lighttpd.pid"
+LIGHTTPD_PID="/run/lighttpd.pid"
diff --git a/main/lighttpd/lighttpd.initd b/main/lighttpd/lighttpd.initd
index 380ed7ecea..614cb21326 100644
--- a/main/lighttpd/lighttpd.initd
+++ b/main/lighttpd/lighttpd.initd
@@ -4,6 +4,7 @@
# $Header: /var/cvsroot/gentoo-x86/www-servers/lighttpd/files/lighttpd.initd,v 1.21 2012/01/08 20:45:46 hwoarang Exp $
extra_started_commands="reload graceful"
+required_files=$LIGHTTPD_CONF
depend() {
need net
@@ -22,14 +23,14 @@ checkconfig() {
if [ -z "${LIGHTTPD_PID}" ] ; then
ewarn "server.pid-file variable in ${LIGHTTPD_CONF}"
ewarn "is not set. Falling back to lighttpd.pid"
- LIGHTTPD_PID="/var/run/lighttpd.pid"
+ LIGHTTPD_PID="/run/lighttpd.pid"
fi
/usr/sbin/lighttpd -t -f ${LIGHTTPD_CONF} >/dev/null
}
start() {
checkconfig || return 1
- checkpath -d -q -m 0750 -o lighttpd:lighttpd /var/run/lighttpd/
+ checkpath -d -q -m 0750 -o lighttpd:lighttpd /run/lighttpd/
ebegin "Starting lighttpd"
start-stop-daemon --start --quiet --exec /usr/sbin/lighttpd \
diff --git a/main/lighttpd/lighttpd.logrotate b/main/lighttpd/lighttpd.logrotate
index 76f0ef3ff5..8fbb20fb00 100644
--- a/main/lighttpd/lighttpd.logrotate
+++ b/main/lighttpd/lighttpd.logrotate
@@ -10,8 +10,6 @@
notifempty
sharedscripts
postrotate
- if [ -f /var/run/lighttpd.pid ]; then \
- /etc/init.d/lighttpd reload > /dev/null 2>&1 || true ; \
- fi;
+ /etc/init.d/lighttpd --quiet --ifstarted reload
endscript
}
diff --git a/main/lighttpd/mod_fastcgi.conf b/main/lighttpd/mod_fastcgi.conf
index ca1369af79..549b84c2ec 100644
--- a/main/lighttpd/mod_fastcgi.conf
+++ b/main/lighttpd/mod_fastcgi.conf
@@ -8,7 +8,7 @@ server.modules += ("mod_fastcgi")
fastcgi.server = ( ".php" =>
( "localhost" =>
(
- "socket" => "/var/run/lighttpd/lighttpd-fastcgi-php-" + PID + ".socket",
+ "socket" => "/run/lighttpd/lighttpd-fastcgi-php-" + PID + ".socket",
"bin-path" => "/usr/bin/php-cgi"
)
)